#!/bin/bash

#clear fstab of all except header, swap, cdrom and / entries 
#Insert blank lines in between


# detect system language
SCRIPTLANG=$(env | egrep 'LC|LANG' |grep -o "es_")

if [ "$SCRIPTLANG" = "es_" ]; then 
ERRORDIALOG="Este script no debe ser ejecutado como administrador o superusuario (root)."
else
ERRORDIALOG="This script should not be run as root."	
fi

#check for root
#
	if [[ $EUID -ne 0 ]]; then
	echo "$ERRORDIALOG" 1>&2
	tput sgr0
  	 exit 1
	fi

egrep "/etc/fstab|<file system>| / |cdrom|swap|home|boot|proc|mapper" /etc/fstab|sed G  >/tmp/fstab && cp -a /tmp/fstab /etc/fstab && rm -f /tmp/fstab
